Package org.codehaus.groovy.transform

# Class LogASTTransformation.AbstractLoggingStrategy

java.lang.Object
org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

All Implemented Interfaces:
  `LogASTTransformation.LoggingStrategy`

Direct Known Subclasses:
  `LogASTTransformation.AbstractLoggingStrategyV2`

Enclosing class:
  LogASTTransformation

    public abstract static class LogASTTransformation.AbstractLoggingStrategy
    extends java.lang.Object
    implements LogASTTransformation.LoggingStrategy

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected GroovyClassLoader` | `loader` |

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `AbstractLoggingStrategy()` |
  `protected` | `AbstractLoggingStrategy​(GroovyClassLoader loader)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected ClassNode` | `classNode​(java.lang.String name)` |
  `java.lang.String` | `getCategoryName​(ClassNode classNode, java.lang.String categoryName)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategy

  `addLoggerFieldToClass, isLoggingMethod, wrapLoggingMethodCall`

- ## Field Details

  - ### loader

    protected final GroovyClassLoader loader

- ## Constructor Details

  - ### AbstractLoggingStrategy

    protected AbstractLoggingStrategy​(GroovyClassLoader loader)

  - ### AbstractLoggingStrategy

    protected AbstractLoggingStrategy()

- ## Method Details

  - ### getCategoryName

    public java.lang.String getCategoryName​(ClassNode classNode, java.lang.String categoryName)
    Specified by:
      `getCategoryName` in interface `LogASTTransformation.LoggingStrategy`

  - ### classNode

    protected ClassNode classNode​(java.lang.String name)